<?php

namespace Application\Service\Extension\Store;

use Application\Service\Extension\HelperV2\Helper;
use Application\Service\Extension\Laminas;

class Mapping
{
    public function dbFind($dbName, $primaryKey)
    {
        return Laminas::$serviceManager->{$dbName}->find($primaryKey);
    }

    public function formStruct(int $formId)
    {
        return Helper::app()->form->getStructCache($formId);
    }
}